function z = SMcold_function(x)
%Evaluates function whose zeros define x_g in `cold' steady marine sheet
%problem

global m n A C rho_g r a theta

h_f = r^(-1)*SMcold_bedheight(x);
b_x = SMcold_bedslope(x);
s = a*x;

z = theta*a + C*s.^(m+1)./(rho_g*h_f.^(m+2)) - theta*s.*b_x./h_f - A*(rho_g*(1-r)/4)^n*h_f.^(n+1);
